[Buildroot] [PATCH v2,1/1] php-amqp: selects openssl

Peter Korsgaard peter at korsgaard.com
Tue Jul 17 07:29:20 UTC 2018


>>>>> "Fabrice" == Fabrice Fontaine <fontaine.fabrice at gmail.com> writes:

 > Since version 1.8.0, php-amqp needs a rabbitmq-c with openssl support:
 > https://github.com/pdezwart/php-amqp/issues/310

 > SSL support is disabled in rabbitmq-c if BR2_STATIC_LIBS is set however
 > don't add an unneeded !BR2_STATIC_LIBS dependency in Config.in as all
 > PHP External Extensions depends on !BR2_STATIC_LIBS
 > (see package/Config.in)

 > Fixes:
 >  - http://autobuild.buildroot.net/results/b7c89bbbd0ca1df08dd7cbfc90c7b45dcf1fad05

 > Signed-off-by: Fabrice Fontaine <fontaine.fabrice at gmail.com>
 > ---
 > Changes v1 -> v2 (after review of Baruch Siach and Thomas Petazzoni):
 >  - Remove unneeded !BR2_STATIC_LIBS in Config.in as all PHP External
 >    Extensions depends on !BR2_STATIC_LIBS (see package/Config.in)

Committed to 2018.05.x, thanks.

-- 
Bye, Peter Korsgaard


More information about the buildroot mailing list